/*
 * charger.h
 *
 *  Created on: 20.11.2018
 *      Author: Hendrik Schutter
 */

#ifndef SRC_CHARGER_H_
#define SRC_CHARGER_H_

struct s_charger {
	int nr;
	int chU;
	int chI;
};

class charger {

private:
	struct s_charger charger_settings;
	ioController io;
	multiplexer mux;
	bool active;

public:
	charger(const struct s_charger pCharger);
	~charger();
	double getCurrent();
	double getVoltage();
	double getCapacity();
	void getInfo();
	void setStatus(bool pBool);
	bool getStatus();
};

#endif /* SRC_CHARGER_H_ */
